Results 1 to 17 of 17

Thread: How to find out the file version?

  1. #1
    V.I.P
    Join Date
    Dec 2004
    Posts
    366
    Thanks
    12
    Thanked 17 Times in 16 Posts

    How to find out the file version?

    I have installed a plugin (SubsSupport DVB player - a subtitles player plugin) in my DM7020HDv2, but forgot what version is the file (either v1.5.4 or v1.5.6). Have checked the target folder ....../Plugins/Extensions, but I can only see the name of the folder there, not the .ipk file version. Is there some other place in my Dreambox to find it out?
    Last edited by luis; 10-04-2018 at 02:04 PM. Reason: ".ipk" inserted

  2.    Advert



  3. #2
    V.I.P
    Join Date
    Dec 2004
    Posts
    1,266
    Thanks
    133
    Thanked 152 Times in 102 Posts
    Hi Luis,
    Normally if you have iDreamX and can enter your DB via this on your computer, then the route is var/tmp and the file should be there with .ipk. Hope this helps - any probs get back to me. Good luck - Brain

  4. #3
    V.I.P
    Join Date
    Dec 2004
    Posts
    366
    Thanks
    12
    Thanked 17 Times in 16 Posts
    Hi Brain
    I think you didnīt understand my question m8, so let me explain. I know how to install a plugin. First ftp the .ipk file to /tmp folder, then install it from there either with the remote control (if a receiver enables it) or using telnet (opkg.....). I did it already and the plugin works. What I donīt know (I forgot) is which version of that .ipk file (there are a few available) I installed. Now I would like to find that out. I donīt know where to look for it in Dreambox. Do you?

  5. #4
    V.I.P
    Join Date
    Dec 2004
    Posts
    1,266
    Thanks
    133
    Thanked 152 Times in 102 Posts
    Ok - I am only working on a Solo 4K out here in France but I had an idea that the file still stayed indentified where it was put.
    If it doesnt I would have to wait till I get back on thursday to check what you say. Do you know if the file worked? If it did did you keep it on your computer? When you downloaded it did your history on your computer keep a record? If all else fails you could try deleting and reinstalling. I am sorry I misunderstood, but dont want to say any other ideas since while the VU 4k is very like the DB, there are small differences, and I see I now need to go and I dont want to lead you astray!! Good Luck with the search. Brain

  6. #5
    V.I.P
    Join Date
    Dec 2004
    Posts
    366
    Thanks
    12
    Thanked 17 Times in 16 Posts
    The file works alright and, of course, itīs still in my PC. I downloaded 3 versions of the file at the same time, but I canīt remember which one of those 3 I chose to install. Well, my memory doesnīt seem to serve me well any more (by the way, Iīll be 80 in October).
    I had a look in ...../Plugins/Extensions (the target folder in installation), I saw the pluginīs folder there, but the pluginīs name only, not the version. So Iīll probably have to either re-install it or forget about the version.

  7. #6
    V.I.P
    Join Date
    Dec 2004
    Posts
    1,266
    Thanks
    133
    Thanked 152 Times in 102 Posts
    Hi Luis,
    I'm getting there - 74 this year. I will check my DB8000 when I get home and then see if I can see an order for such a file to appear in the box. I presume you have looked in var/tmp and there is no folder there? All best - Brian

  8. #7
    Super Moderator saintomer1866's Avatar
    Join Date
    Sep 2005
    Posts
    3,318
    Thanks
    3,911
    Thanked 6,937 Times in 2,163 Posts
    Hi Luis,
    it will do no harm at all to just install the latest ipk you have.
    If it's already installed then it wont overwrite it, you'll get a message along the lines of 'installed or upgraded 0 packages'
    if the message states that it has installed 1 or more packages then you wasnt on the latest one,
    but you are now

    St.O

  9. #8
    V.I.P
    Join Date
    Dec 2004
    Posts
    366
    Thanks
    12
    Thanked 17 Times in 16 Posts
    Yes Brain, I had a look in var/tmp - no folder there.
    And yes Saintomer, I have already thought of doing what you said.

    But if I remember well (...my memory is leaving me again...), I first tried to install the latest version (v1.5.6). It usually goes that way. But I had some trouble with it, was not sure whether it was installed or not, but I didnīt engage enough in that research and started to meddle with one previous version instead. Of course that made the confusion bigger, not knowing which one was in at the end. Should have at least erased the first one before starting anything with the second one, but at that moment my mind was not sober enough to do that. So, in the future, Iīd better stick to the golden rule: donīt fix whatīs not broken lol.
    Last edited by luis; 12-04-2018 at 02:14 PM. Reason: Text correction

  10. The Following User Says Thank You to luis For This Useful Post:

    saintomer1866 (11-04-2018)

  11. #9
    Super Moderator saintomer1866's Avatar
    Join Date
    Sep 2005
    Posts
    3,318
    Thanks
    3,911
    Thanked 6,937 Times in 2,163 Posts
    Sometimes if you go to Plugins/addons through your stb menu's the plugin shows what version it is.
    If you ftp into your box and go to /usr/lib/enigma2/python/Plugins/Extensions and go into the plugin folder it may have a file caled 'version' which you can open with an editor
    or if there is a file called plugin.py in there you can open that with an editor and that might have the plugin version in it...

  12. #10
    V.I.P
    Join Date
    Dec 2004
    Posts
    366
    Thanks
    12
    Thanked 17 Times in 16 Posts
    Thank you St.O. Iīll have a look when I have that receiver switched on.

  13. #11
    V.I.P
    Join Date
    Dec 2004
    Posts
    366
    Thanks
    12
    Thanked 17 Times in 16 Posts
    Went into DM7020HDv2 meni, opened usr/lib/enigma2/python/Plugins/Extensions. Thereīs SubsSupport folder in Extensions but no file like "version" in it. But there are two files (among the others) in the Plugins folder: Plugin.py and Plugin.pyo. Tried to open them, but couldnīt. The only editor I have and use is UltraEdit-32, have never had any other, but it doesnīt open them. Can you give me an advice?

  14. #12
    Super Moderator saintomer1866's Avatar
    Join Date
    Sep 2005
    Posts
    3,318
    Thanks
    3,911
    Thanked 6,937 Times in 2,163 Posts
    copy the plugin.py to your pc
    then right click the file and 'open with' your editor
    it will work with notepad but will be hard to read it (it will look a mess)
    your editor may work ok, give it a try
    otherwise you could try notepad++ or gedit

    the usual place for version will be either near the top or bottom of page
    no guarantee the version will be in there but worth a look

  15. #13
    V.I.P
    Join Date
    Dec 2004
    Posts
    366
    Thanks
    12
    Thanked 17 Times in 16 Posts
    I should have known I had to copy the file out from Dreambox menu to be able to open it. Well, I opened it know. Lots of things in it, but not the file version. Is there any other file that would be worth looking in?

    While we are at it, Iīd have one more question. To delete a plugin from the Plugins Browser - is it enough to delete the pluginīs folder in the Extension folder and then restart the box, or is it neccessary to also delete something else from somewhere? Thanks a lot for your answers m8.

  16. #14
    Super Moderator saintomer1866's Avatar
    Join Date
    Sep 2005
    Posts
    3,318
    Thanks
    3,911
    Thanked 6,937 Times in 2,163 Posts
    Oh well, worth a look.
    If you installed the plugin using the plugin browser or by using an IPK file then use the plugin browser to remove it

  17. #15
    V.I.P
    Join Date
    Dec 2004
    Posts
    366
    Thanks
    12
    Thanked 17 Times in 16 Posts
    Iīve never used the Plugings Browser to install a plugin, alway used an .ipk. How do I remove a plugin using the Plugin Browser, I have never done it either?

  18. #16
    Super Moderator saintomer1866's Avatar
    Join Date
    Sep 2005
    Posts
    3,318
    Thanks
    3,911
    Thanked 6,937 Times in 2,163 Posts
    usually red button then select what sort of plugin it is
    probably be in extensions or system plugins something like that
    if not just expand the sections and scroll through till you find it

    There is a specific OPKG folder somewhere on your box and for ths life of me I can't remember where, maybe someone else can ?, it actually lists and has a copy of the ipk files you have installed

    another place you can look at, as Ian has just pointed out to me, is here
    /var/lib/opkg/info/

    in here you will find the preinst, postinst files for your plugin
    so look for something like;
    'enigma2-plugin-extensions-name of your plugin.preinst'
    copy the file over and open with , as before, and you may find what your looking for in there

    edit: You could also look in the postinst and control files that are there too
    Last edited by saintomer1866; 12-04-2018 at 09:13 PM.

  19. #17
    V.I.P
    Join Date
    Dec 2004
    Posts
    366
    Thanks
    12
    Thanked 17 Times in 16 Posts
    Thank you for all of your suggestions, Saintomer. Iīve had a look here and there, but still couldnīt find the version. But itīs not that important after all. The plugin works all right and as long as it does, Iīll be using it. Then Iīm going to install the newest version and be more careful what Iīm installing. I just made much ado about nothing.

  20. The Following User Says Thank You to luis For This Useful Post:

    saintomer1866 (17-04-2018)

Similar Threads

  1. Web TV "couldn't find file"
    By danodano in forum ICECRYPT
    Replies: 1
    Last Post: 10-04-2016, 07:41 PM
  2. Can't find cccam configuration file
    By finestrat in forum Dreambox DM7020S
    Replies: 4
    Last Post: 12-10-2010, 05:26 PM
  3. data file and key file
    By conorg087 in forum Diablo
    Replies: 6
    Last Post: 22-01-2010, 11:01 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •